---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: "{{ template "appname" . }}"
  labels:
    app: "{{ template "appname" . }}"
spec:
  replicas: {{ .Values.portal.replicas }}
  strategy:
    type: Recreate
  selector:
    matchLabels:
      app: "{{ template "appname" . }}"
  template:
    metadata:
      labels:
        app: "{{ template "appname" . }}"
        date: "{{ now | unixEpoch }}"
      annotations:
        prometheus.io/scrape: 'true'
        prometheus.io/port: '8000'
    spec:
      imagePullSecrets:
        - name: "{{ template "appname" . }}-run-secrets"
      containers:
        - name: "{{ template "appname" . }}-app"
          image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
          imagePullPolicy: "{{ .Values.image.pullPolicy }}"
          securityContext:
            runAsUser: 0
            runAsGroup: 0
          env:
            - name: ALLOWED_HOSTS
              value: {{ .Values.instanceDomain | quote }}
            - name: PORTAL_PORT
              value: "8000"
          envFrom:
            - configMapRef:
                name: "{{ template "appname" . }}"
            - secretRef:
                name: "{{ template "appname" . }}-run-secrets"
          resources:
{{ toYaml .Values.portal.resources | indent 12 }}
          ports:
            - name: http
              containerPort: 8000
